View Issue Details

IDProjectCategoryView StatusLast Update
0024616mantisbtrelationshipspublic2018-09-04 01:23
ReporterAmosPengAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.15.0 
Target Version2.17.0Fixed in Version2.17.0 
Summary0024616: relationship visibility in different project permission
Description

Users can not see the relationship list in current issue if they don't have the permission to related project.
These are nothing to remind owner who is going to close the issue that has children are still opened. Owner can just receive the error message but not to see which child be opened. This might make people confused.
It seems to me that "relationship list" can be shown without permission checking, or show some hints (child ids) in error message is acceptable.

Steps To Reproduce

User 1 has the permission to project A.
Issue 000001 in project A was assigned to user 1.
Issue 000001 is parent of Issue 000002 in Project B.
When User 1 try to resolve issue 000001, he got a error message but nothing else.

TagsNo tags attached.

Relationships

related to 0024633 closedatrol Late error message when trying to resolve issues 

Activities

atrol

atrol

2018-07-19 04:28

developer   ~0060281

Last edited: 2018-07-19 06:29

View 2 revisions

It seems to me that "relationship list" can be shown without permission checking

Certainly not. It would offer a way to bypass access protection.

Maybe deactivating the check is an option for you.
Try adding the following line to file config_inc.php

$g_allow_parent_of_unresolved_to_close = ON;
AmosPeng

AmosPeng

2018-07-19 06:26

reporter   ~0060282

Not exactly, I need the child checking for parent.
Is there another way to hint child quantity?
Owner saw the relation issue is 0, but can not close issue.
It is weird to me.

atrol

atrol

2018-07-22 15:56

developer   ~0060301

At the moment you get message This issue cannot be resolved until all dependant issues have been resolved.
We could extend the message with something like Ask your system administrator for project access if you don't see any dependant issue

AmosPeng

AmosPeng

2018-07-23 03:21

reporter   ~0060304

Looks good to me, thanks.

atrol

atrol

2018-07-25 01:53

developer   ~0060314

PR https://github.com/mantisbt/mantisbt/pull/1371

Related Changesets

MantisBT: master 753648a5

2018-07-25 01:48:13

atrol

Details Diff
Enhance message when resolving issues with unresolved child issues

Fixes 0024616
Affected Issues
0024616
mod - lang/strings_english.txt Diff File

Issue History

Date Modified Username Field Change
2018-07-19 04:08 AmosPeng New Issue
2018-07-19 04:28 atrol Status new => feedback
2018-07-19 04:28 atrol Note Added: 0060281
2018-07-19 06:26 AmosPeng Note Added: 0060282
2018-07-19 06:26 AmosPeng Status feedback => new
2018-07-19 06:29 atrol Note Edited: 0060281 View Revisions
2018-07-22 15:56 atrol Status new => feedback
2018-07-22 15:56 atrol Note Added: 0060301
2018-07-23 03:21 AmosPeng Note Added: 0060304
2018-07-23 03:21 AmosPeng Status feedback => new
2018-07-25 01:53 atrol Assigned To => atrol
2018-07-25 01:53 atrol Status new => assigned
2018-07-25 01:53 atrol Note Added: 0060314
2018-07-25 01:54 atrol Target Version => 2.16.0
2018-07-25 17:28 atrol Relationship added related to 0024633
2018-07-30 05:32 atrol Target Version 2.16.0 => 2.17.0
2018-07-31 04:50 atrol Changeset attached => MantisBT master 753648a5
2018-07-31 04:50 atrol Status assigned => resolved
2018-07-31 04:50 atrol Resolution open => fixed
2018-07-31 04:50 atrol Fixed in Version => 2.17.0
2018-09-04 01:23 vboctor Status resolved => closed